Skip to main content
GET
/
v1
/
containers
Container Rentals List
curl --request GET \
  --url https://api.example.com/v1/containers \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "state": "creating",
    "start_ts": 123,
    "state_ts": 123,
    "stop_ts": 123,
    "ip": "<string>",
    "gpu_config": "<string>",
    "price_per_hour": 123,
    "container_image": "<string>",
    "fail_reason": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Query Parameters

state
enum<string>
default:active

whether to return active or inactive containers

Available options:
active,
inactive

Response

Successful Response

id
string
required
name
string
required
state
enum<string>
required
Available options:
creating,
starting,
running,
shutting_down,
failed,
deleted
start_ts
integer
required
state_ts
integer
required
stop_ts
integer | null
required
ip
string | null
required
gpu_config
string
required
price_per_hour
number
required
container_image
string
required
fail_reason
string | null
required